// Item 23: Prefer non-member non-friend functions to member functions.  98

#include "m23.h"

class Browser {
public:
	void clear();
	// ...
};

void Browser::clear() {
}


void clear( Browser & b )
{
	b.clear();
}

// namespace solution in source follows

namespace BrowserNS {

class Browser {
public:
	void clear();
	// ...
};

void clear(Browser&b)
{
	b.clear();
}

}	// end of namespace

class Browser {
public:
	 friend void clearall();
};

